diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/test/wifi-phy-reception-test.cc ns-3.43/src/wifi/test/wifi-phy-reception-test.cc
--- ns-3.42/src/wifi/test/wifi-phy-reception-test.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wifi/test/wifi-phy-reception-test.cc	2024-10-09 16:41:10.140657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -59,10 +48,9 @@
 NS_LOG_COMPONENT_DEFINE("WifiPhyReceptionTest");
 
 static const uint8_t CHANNEL_NUMBER = 36;
-static const uint32_t FREQUENCY = 5180;   // MHz
-static const uint16_t CHANNEL_WIDTH = 20; // MHz
-static const uint16_t GUARD_WIDTH =
-    CHANNEL_WIDTH; // MHz (expanded to channel width to model spectrum mask)
+static const MHz_u FREQUENCY = 5180;
+static const MHz_u CHANNEL_WIDTH = 20;
+static const MHz_u GUARD_WIDTH = CHANNEL_WIDTH; // expanded to channel width to model spectrum mask
 
 /**
  * \ingroup wifi-test
@@ -90,11 +78,11 @@
 
     /**
      * Send packet function
-     * \param rxPowerDbm the transmit power in dBm
+     * \param rxPower the transmit power
      * \param packetSize the size of the packet in bytes
      * \param mcs the MCS to transmit the packet
      */
-    void SendPacket(double rxPowerDbm, uint32_t packetSize, uint8_t mcs);
+    void SendPacket(dBm_u rxPower, uint32_t packetSize, uint8_t mcs);
 
     /**
      * Schedule now to check  the PHY state
@@ -117,10 +105,17 @@
 }
 
 void
-WifiPhyReceptionTest::SendPacket(double rxPowerDbm, uint32_t packetSize, uint8_t mcs)
+WifiPhyReceptionTest::SendPacket(dBm_u rxPower, uint32_t packetSize, uint8_t mcs)
 {
-    WifiTxVector txVector =
-        WifiTxVector(HePhy::GetHeMcs(mcs), 0, WIFI_PREAMBLE_HE_SU, 800, 1, 1, 0, 20, false);
+    WifiTxVector txVector = WifiTxVector(HePhy::GetHeMcs(mcs),
+                                         0,
+                                         WIFI_PREAMBLE_HE_SU,
+                                         NanoSeconds(800),
+                                         1,
+                                         1,
+                                         0,
+                                         20,
+                                         false);
 
     Ptr<Packet> pkt = Create<Packet>(packetSize);
     WifiMacHeader hdr;
@@ -137,7 +132,7 @@
     Ptr<SpectrumValue> txPowerSpectrum =
         WifiSpectrumValueHelper::CreateHeOfdmTxPowerSpectralDensity(FREQUENCY,
                                                                     CHANNEL_WIDTH,
-                                                                    DbmToW(rxPowerDbm),
+                                                                    DbmToW(rxPower),
                                                                     GUARD_WIDTH);
 
     Ptr<WifiSpectrumSignalParameters> txParams = Create<WifiSpectrumSignalParameters>();
@@ -304,7 +299,7 @@
     m_phy->AssignStreams(streamNumber);
 
     // RX power > CCA-ED > CCA-PD
-    double rxPowerDbm = -50;
+    dBm_u rxPower = -50;
 
     // CASE 1: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
@@ -313,7 +308,7 @@
     Simulator::Schedule(Seconds(1.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -361,13 +356,13 @@
     Simulator::Schedule(Seconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(2.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, no preamble is successfully detected and STA PHY STATE should move from IDLE to
@@ -407,13 +402,13 @@
     Simulator::Schedule(Seconds(3.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(3.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 3,
+                        rxPower - 3,
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
@@ -452,13 +447,13 @@
     Simulator::Schedule(Seconds(4.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(4.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 6,
+                        rxPower - 6,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -516,13 +511,13 @@
     Simulator::Schedule(Seconds(5.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(5.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 3,
+                        rxPower + static_cast<dB_u>(3.0),
                         1000,
                         7);
     // At 6us (hence 4us after the last signal is received), no preamble is successfully detected,
@@ -554,7 +549,7 @@
                         1);
 
     // CCA-PD < RX power < CCA-ED
-    rxPowerDbm = -70;
+    rxPower = -70;
 
     // CASE 6: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
@@ -563,7 +558,7 @@
     Simulator::Schedule(Seconds(6.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -611,13 +606,13 @@
     Simulator::Schedule(Seconds(7.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(7.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -643,13 +638,13 @@
     Simulator::Schedule(Seconds(8.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(8.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 3,
+                        rxPower - 3,
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -673,13 +668,13 @@
     Simulator::Schedule(Seconds(9.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(9.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 6,
+                        rxPower - 6,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -727,13 +722,13 @@
     Simulator::Schedule(Seconds(10.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(10.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 3,
+                        rxPower + static_cast<dB_u>(3.0),
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -753,12 +748,12 @@
     // detection (-82 dBm) and check PHY state: preamble detection should succeed and PHY state
     // should move to RX.
 
-    rxPowerDbm = -81;
+    rxPower = -81;
 
     Simulator::Schedule(Seconds(11.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -792,7 +787,7 @@
                         WifiPhyState::IDLE);
 
     // RX power < CCA-PD < CCA-ED
-    rxPowerDbm = -83;
+    rxPower = -83;
 
     // CASE 12: send one packet with a power slightly below the minimum RSSI needed for the preamble
     // detection (-82 dBm) and check PHY state: preamble detection should fail and PHY should be
@@ -801,7 +796,7 @@
     Simulator::Schedule(Seconds(12.0),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, STA PHY state should be IDLE
@@ -924,7 +919,7 @@
     m_phy->AssignStreams(streamNumber);
 
     // RX power > CCA-ED > CCA-PD
-    double rxPowerDbm = -50;
+    dBm_u rxPower = -50;
 
     // CASE 1: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
@@ -933,7 +928,7 @@
     Simulator::Schedule(Seconds(1.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -981,13 +976,13 @@
     Simulator::Schedule(Seconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(2.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
@@ -1027,13 +1022,13 @@
     Simulator::Schedule(Seconds(3.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(3.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 3,
+                        rxPower - 3,
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
@@ -1072,13 +1067,13 @@
     Simulator::Schedule(Seconds(4.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(4.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 6,
+                        rxPower - 6,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -1136,13 +1131,13 @@
     Simulator::Schedule(Seconds(5.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(5.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 3,
+                        rxPower + static_cast<dB_u>(3.0),
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -1186,13 +1181,13 @@
     Simulator::Schedule(Seconds(6.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(6.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 6,
+                        rxPower + static_cast<dB_u>(6.0),
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -1246,13 +1241,13 @@
     Simulator::Schedule(Seconds(7.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(7.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
@@ -1292,13 +1287,13 @@
     Simulator::Schedule(Seconds(8.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(8.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 3,
+                        rxPower - 3,
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
@@ -1336,13 +1331,13 @@
     Simulator::Schedule(Seconds(9.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(9.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 6,
+                        rxPower - 6,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -1390,13 +1385,13 @@
     Simulator::Schedule(Seconds(10.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(10.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 3,
+                        rxPower + static_cast<dB_u>(3.0),
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
@@ -1435,13 +1430,13 @@
     Simulator::Schedule(Seconds(11.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(11.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 6,
+                        rxPower + static_cast<dB_u>(6.0),
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -1481,7 +1476,7 @@
                         4);
 
     // CCA-PD < RX power < CCA-ED
-    rxPowerDbm = -70;
+    rxPower = -70;
 
     // CASE 12: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
@@ -1490,7 +1485,7 @@
     Simulator::Schedule(Seconds(12.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -1538,13 +1533,13 @@
     Simulator::Schedule(Seconds(13.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(13.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -1570,13 +1565,13 @@
     Simulator::Schedule(Seconds(14.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(14.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 3,
+                        rxPower - 3,
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -1600,13 +1595,13 @@
     Simulator::Schedule(Seconds(15.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(15.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm - 6,
+                        rxPower - 6,
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
@@ -1656,13 +1651,13 @@
     Simulator::Schedule(Seconds(16.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(16.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 3,
+                        rxPower + static_cast<dB_u>(3.0),
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -1692,13 +1687,13 @@
     Simulator::Schedule(Seconds(17.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(17.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 6,
+                        rxPower + static_cast<dB_u>(6.0),
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
@@ -1743,19 +1738,19 @@
                         2,
                         6);
 
-    rxPowerDbm = -50;
+    rxPower = -50;
     // CASE 18: send two packets with second one 50 dB higher within the 4us window
 
     Simulator::Schedule(Seconds(18.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(18.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 50,
+                        rxPower + static_cast<dB_u>(50.0),
                         1000,
                         7);
     // The second packet should be received successfully
@@ -1770,13 +1765,13 @@
     Simulator::Schedule(Seconds(19.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(19.0) + MicroSeconds(2.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 10,
+                        rxPower + static_cast<dB_u>(10.0),
                         1000,
                         7);
     // The second packet should be captured, but not decoded since SNR to low for used MCS
@@ -1791,13 +1786,13 @@
     Simulator::Schedule(Seconds(20.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(20.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 50,
+                        rxPower + static_cast<dB_u>(50.0),
                         1000,
                         7);
     // The second packet should be received successfully, same as in CASE 13
@@ -1812,13 +1807,13 @@
     Simulator::Schedule(Seconds(21.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     Simulator::Schedule(Seconds(21.0),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPowerDbm + 10,
+                        rxPower + static_cast<dB_u>(10.0),
                         1000,
                         7);
     // The second packet should be captured, but not decoded since SNR to low for used MCS, same as
@@ -1989,7 +1984,7 @@
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(1);
     int64_t streamNumber = 2;
-    double rxPowerDbm = -30;
+    dBm_u rxPower = -30;
     m_phy->AssignStreams(streamNumber);
 
     // CASE 1: send two packets with same power within the capture window:
@@ -1998,13 +1993,13 @@
     Simulator::Schedule(Seconds(1.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         0);
     Simulator::Schedule(Seconds(1.0) + MicroSeconds(10.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1500,
                         0);
     Simulator::Schedule(Seconds(1.1), &TestSimpleFrameCaptureModel::Expect1500BPacketDropped, this);
@@ -2016,13 +2011,13 @@
     Simulator::Schedule(Seconds(2.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         0);
     Simulator::Schedule(Seconds(2.0) + MicroSeconds(10.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm - 6,
+                        rxPower - 6,
                         1500,
                         0);
     Simulator::Schedule(Seconds(2.1),
@@ -2037,13 +2032,13 @@
     Simulator::Schedule(Seconds(3.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         0);
     Simulator::Schedule(Seconds(3.0) + MicroSeconds(10.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm + 6,
+                        rxPower + static_cast<dB_u>(6.0),
                         1500,
                         0);
     Simulator::Schedule(Seconds(3.1), &TestSimpleFrameCaptureModel::Expect1000BPacketDropped, this);
@@ -2059,13 +2054,13 @@
     Simulator::Schedule(Seconds(4.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         0);
     Simulator::Schedule(Seconds(4.0) + MicroSeconds(25.0),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPowerDbm + 6,
+                        rxPower + static_cast<dB_u>(6.0),
                         1500,
                         0);
     Simulator::Schedule(Seconds(4.1), &TestSimpleFrameCaptureModel::Expect1500BPacketDropped, this);
@@ -2104,22 +2099,17 @@
     m_phy->AssignStreams(streamNumber);
 
     // RX power > CCA-ED
-    double rxPowerDbm = -50;
+    dBm_u rxPower = -50;
 
     // CASE 1: send one packet followed by a second one with same power between the end of the 4us
     // preamble detection window and the start of L-SIG of the first packet: reception should be
     // aborted since L-SIG cannot be decoded (SNR too low).
 
-    Simulator::Schedule(Seconds(1.0),
-                        &TestPhyHeadersReception::SendPacket,
-                        this,
-                        rxPowerDbm,
-                        1000,
-                        7);
+    Simulator::Schedule(Seconds(1.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
     Simulator::Schedule(Seconds(1.0) + MicroSeconds(10),
                         &TestPhyHeadersReception::SendPacket,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
